> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /mk8s/v1alpha1/clusters/{id}
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /mk8s/v1alpha1/clusters/{id}:
    get:
      tags:
        - nebius.mk8s.v1alpha1.ClusterService
      summary: Get
      operationId: ClusterService_Get
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
        - in: query
          name: resourceVersion
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/nebiusMk8sV1alpha1Cluster'
          description: A successful response.
components:
  schemas:
    nebiusMk8sV1alpha1Cluster:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/nebiusMk8sV1alpha1ClusterSpec'
        status:
          $ref: '#/components/schemas/nebiusMk8sV1alpha1ClusterStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    nebiusMk8sV1alpha1ClusterSpec:
      properties:
        controlPlane:
          $ref: '#/components/schemas/mk8sV1alpha1ControlPlaneSpec'
        kubeNetwork:
          $ref: '#/components/schemas/mk8sV1alpha1KubeNetworkSpec'
      required:
        - controlPlane
      type: object
    nebiusMk8sV1alpha1ClusterStatus:
      properties:
        controlPlane:
          $ref: '#/components/schemas/mk8sV1alpha1ControlPlaneStatus'
        reconciling:
          title: Show that changes are in flight
          type: boolean
        state:
          $ref: '#/components/schemas/nebiusMk8sV1alpha1ClusterStatusState'
      type: object
    mk8sV1alpha1ControlPlaneSpec:
      properties:
        endpoints:
          $ref: '#/components/schemas/mk8sV1alpha1ControlPlaneEndpointsSpec'
        etcdClusterSize:
          description: >-
            Number of instances in etcd cluster.

            3 by default.

            Control plane with `etcd_cluster_size: 3` called "Highly Available"
            ("HA"), because it's Kubernetes API

            will be available despite a failure of one control plane instance.
          format: int64
          type: string
        subnetId:
          description: Subnet ID where control plane instances will be located.
          type: string
        version:
          description: >-
            Version is desired Kubernetes version of the cluster. For now only
            acceptable format is

            `MAJOR.MINOR` like "1.31". Option for patch version update will be
            added later.
          type: string
      required:
        - subnetId
      type: object
    mk8sV1alpha1KubeNetworkSpec:
      properties:
        serviceCidrs:
          description: >-
            CIDR blocks for Service ClusterIP allocation.

            For now, only one value is supported.

            Must be a valid CIDR block or prefix length.

            In case of prefix length, certain CIDR is auto allocated.

            Specified CIDR blocks will be reserved in
            Cluster.spec.control_plane.subnet_id to prevent address duplication.

            Allowed prefix length is from "/12" to "/28".

            Empty value treated as ["/16"].
          items:
            type: string
          type: array
      type: object
    mk8sV1alpha1ControlPlaneStatus:
      properties:
        auth:
          $ref: '#/components/schemas/mk8sV1alpha1ControlPlaneStatusAuth'
        endpoints:
          $ref: '#/components/schemas/mk8sV1alpha1ControlPlaneStatusEndpoints'
        etcdClusterSize:
          description: Number of instances in etcd cluster.
          format: int64
          type: string
        version:
          description: >-
            Version have format `major.minor.patch-nebius-cp.n` like
            "1.30.0-nebius-cp.3".
          type: string
      type: object
    nebiusMk8sV1alpha1ClusterStatusState:
      default: STATE_UNSPECIFIED
      enum:
        - STATE_UNSPECIFIED
        - PROVISIONING
        - RUNNING
        - DELETING
      type: string
    mk8sV1alpha1ControlPlaneEndpointsSpec:
      properties:
        publicEndpoint:
          $ref: '#/components/schemas/mk8sV1alpha1PublicEndpointSpec'
      type: object
    mk8sV1alpha1ControlPlaneStatusAuth:
      properties:
        clusterCaCertificate:
          type: string
      type: object
    mk8sV1alpha1ControlPlaneStatusEndpoints:
      description: >-
        Endpoints of Kubernetes control plane. Kubernetes API can be accessed at
        `https://endpoint/`.
      properties:
        privateEndpoint:
          description: DNS name or IP address accessible from the user VPC.
          type: string
        publicEndpoint:
          description: DNS name or IP address accessible from the Internet.
          type: string
      type: object
    mk8sV1alpha1PublicEndpointSpec:
      type: object
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````